Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_19
Class NotesLogAppender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--org.apache.log4j.WriterAppender
                  |
                  +--org.apache.log4j.FileAppender
                        |
                        +--org.apache.log4j.RollingFileAppender
                              |
                              +--djbuch.kapitel_19.NotesLogAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

public class NotesLogAppender
extends org.apache.log4j.RollingFileAppender

Author:
  Thomas Ekert

Field Summary
`static int` | `NUM_32K`

Constructor Summary
`NotesLogAppender()`

Method Summary
`void` | `rollOver()`
`void` | `setDominoServer(java.lang.String server)`
`void` | `setIiopServer(java.lang.String server)`
`void` | `setIiopUser(java.lang.String user)`
`void` | `setNotesDb(java.lang.String dbName)`
`void` | `setPassword(java.lang.String pwd)`
`void` | `setReplication(java.lang.String repl)`

Methods inherited from class org.apache.log4j.RollingFileAppender
`getMaxBackupIndex, getMaximumFileSize, setFile, setMaxBackupIndex, setMaxFileSize, setMaximumFileSize`

Methods inherited from class org.apache.log4j.FileAppender
`activateOptions, getAppend, getBufferedIO, getBufferSize, getFile, setAppend, setBufferedIO, setBufferSize, setFile`

Methods inherited from class org.apache.log4j.WriterAppender
`append, close, getEncoding, getImmediateFlush, requiresLayout, setEncoding, setErrorHandler, setImmediateFlush, setWriter`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_32K

    public static final int NUM_32K

See Also:
  Constant Field Values

Constructor Detail

### NotesLogAppender

    public NotesLogAppender()

Method Detail

### rollOver

    public void rollOver()

  Overrides:
    `rollOver` in class `org.apache.log4j.RollingFileAppender`

### setNotesDb

    public void setNotesDb(java.lang.String dbName)

### setReplication

    public void setReplication(java.lang.String repl)

### setIiopServer

    public void setIiopServer(java.lang.String server)

### setIiopUser

    public void setIiopUser(java.lang.String user)

### setPassword

    public void setPassword(java.lang.String pwd)

### setDominoServer

    public void setDominoServer(java.lang.String server)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD